Package org.acplt.oncrpc.apps.jrpcgen

# Interface JrpcgenItem

All Known Implementing Classes:
  `JrpcgenComplexType`, `JrpcgenConst`, `JrpcgenDeclaration`, `JrpcgenEnum`, `JrpcgenEnum.Element`, `JrpcgenStruct`, `JrpcgenTypedefinition`, `JrpcgenUnion`, `JrpcgenXdrDefinition`

public interface JrpcgenItem
An item represents a part of an RPC/XDR specification. Characteristic to an item is an identifier. For example a constant, an enumeration, an enumeration element as well as a structure and a union are items. Within the context of an RPC/XDR specification no two items within the same scope share the same identifier.

Author:
  Harald Wirths <hwirths@nde.ag>

## Method Summary

Modifier and Type
Method
Description
`String`
`getIdentifier()`
Delivers the identifier of this item.

## Method Details

### getIdentifier

String getIdentifier()
Delivers the identifier of this item. This value must not be `null`.

Returns:
  The idnetifier of this item.